database_version_list Struct Reference

`#include <database_version.h>`

## Data Fields

db_object_t * | dbo
db_result_list_t * | result_list
const db_result_t * | result
database_version_t * | database_version
int | object_store
database_version_t ** | object_list
size_t | object_list_size
size_t | object_list_position
int | object_list_first
int | associated_fetch

## Detailed Description

A list of database version objects.

Definition at line 83 of file database_version.h.

## Field Documentation

## associated_fetch

int database_version_list::associated_fetch

Definition at line 93 of file database_version.h.

Referenced by database_version_list_get().

## database_version

database_version_t* database_version_list::database_version

Definition at line 87 of file database_version.h.

Referenced by database_version_list_free(), and database_version_list_next().

## dbo

db_object_t* database_version_list::dbo

Definition at line 84 of file database_version.h.

Referenced by database_version_list_free(), database_version_list_get(), database_version_list_new(), and database_version_list_next().

## object_list

database_version_t** database_version_list::object_list

Definition at line 89 of file database_version.h.

Referenced by database_version_list_free(), database_version_list_get(), and database_version_list_next().

## object_list_first

int database_version_list::object_list_first

Definition at line 92 of file database_version.h.

Referenced by database_version_list_get(), and database_version_list_next().

## object_list_position

size_t database_version_list::object_list_position

Definition at line 91 of file database_version.h.

Referenced by database_version_list_next().

## object_list_size

size_t database_version_list::object_list_size

Definition at line 90 of file database_version.h.

Referenced by database_version_list_free(), database_version_list_get(), and database_version_list_next().

## object_store

int database_version_list::object_store

Definition at line 88 of file database_version.h.

Referenced by database_version_list_next().

## result

const db_result_t* database_version_list::result

Definition at line 86 of file database_version.h.

## result_list

db_result_list_t* database_version_list::result_list

Definition at line 85 of file database_version.h.

Referenced by database_version_list_free(), database_version_list_get(), and database_version_list_next().

The documentation for this struct was generated from the following file:

- src/db/database_version.h